> ## Documentation Index
> Fetch the complete documentation index at: https://developer.easyparkgroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add cars

> 
            Add cars to the fleet. 
            Maximum 50 cars can be added in a single request.
            It returns only the errors, if any.
            It returns HTTP 200 when car already exists.
            



## OpenAPI

````yaml post /fleets/default/cars
openapi: 3.1.0
info:
  title: Partner API
  description: >

    Partner API is a collection of endpoints (currently available only in
    Europe) that allow EasyPark partners

    manage their parking users and cars. In this page you can find the general
    information regarding all the

    endpoints. For specific information please refer to the corresponding
    subsection.


    Note that this reference only contains information about our legacy
    endpoints that are to be sunsetted in

    2026. See 'Partner Reference' for the latest version of the Partner API.


    ## Addresses


    * Production: https://partner.europe.ezprk.net

    * Staging: https://partner.staging.ezprk.dev


    Requests and responses are in JSON format.


    ## Request timeout


    All the endpoints have a default timeout of 60 seconds.


    ## Errors


    All errors returned to the API user are structured in the following way:


    ```json
        {
            "timestamp": "2021-02-25T14:40:21.333+00:00",
            "path": "/billing-accounts/2220564/parking-users",
            "status": 400,
            "error": "Bad Request",
            "message": "email must not be blank",
            "requestId": "4ba1b9d0"
        }
    ```
  version: '2025.05'
servers:
  - url: https://partner.staging.ezprk.dev
    description: Staging
  - url: https://partner.europe.ezprk.net
    description: Production
security: []
tags:
  - name: Parking Users
    description: Manage parking users.
  - name: Fleet Cars
    description: Manage cars in the default fleet.
  - name: Login
    description: Authenticate with the EasyPark API
paths:
  /fleets/default/cars:
    post:
      tags:
        - Fleet Cars
      summary: Add cars
      description: |2-

                    Add cars to the fleet. 
                    Maximum 50 cars can be added in a single request.
                    It returns only the errors, if any.
                    It returns HTTP 200 when car already exists.
                    
      operationId: addCars
      requestBody:
        description: >-
          List of cars to add as array of objects where each object contains a
          licenseNumber key with a string value.
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/InputCar'
        required: true
      responses:
        default:
          description: List of failed license numbers with error messages
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CarError'
      security:
        - jwt: []
components:
  schemas:
    InputCar:
      type: object
      properties:
        licenseNumber:
          type: string
    CarError:
      type: object
      properties:
        licenseNumber:
          type: string
        error:
          type: string
          description: Error message
      required:
        - error
  securitySchemes:
    jwt:
      type: http
      description: You can get the JWT from the Login endpoint.
      scheme: bearer
      bearerFormat: Bearer JWT

````